Album: IT'S TIME TO CRIME
Style: single
Artists:
- D-CELL SOUND TEAM
Date: May 1, 2026
Date Added: May 2, 2026
Cover Artists:
- Nightmargin
Cover Art File Extension: png
Color: '#FF467F'
URLs:
- https://dcellgames.bandcamp.com/track/its-time-to-crime
Groups:
- UNBEATABLE
- rj lake
- Beyond
Banner Artists:
- D-CELL GAMES
Banner File Extension: png
Banner Dimensions: 975x180
Banner Style: |-
    --short-banner-alignment: 45%;
Wallpaper Artists:
- ruby (edits for wiki)
Wallpaper Parts:
- Asset: none
  Style: |-
    background-color: #FFFFFF;
    opacity: 1;
---
Track: IT'S TIME TO CRIME
Directory: its-time-to-crime
Duration: 2:32
Contributors:
- Vasily Nikolaev (lyrics, vocals, composition, mandolin, mixing, mastering)
- Clara Maddux (composition, arrangement, guitars, bass, synths, mixing, mastering)
- rj lake (composition, scratching, synths, additional guitar)
Referenced Tracks:
- IT'S TIME TO FIGHT CRIME
- Thanks For Everything
Lyrics: |-
    it's
    time
    to
    do
    all of the crimes
    all of the time
    even if you
    don't
    know
    why
    carry the light
Crediting Sources: |-
    @@ [Bandcamp credits](https://dcellgames.bandcamp.com/track/its-time-to-crime)

    lyrics and vocals performed by [[artist:vasily-nikolaev|vasily nikolaev]]<br>
    composition by [[artist:clara-maddux|clara maddux]], [[artist:vasily-nikolaev|vasily nikolaev]] & [[artist:rj-lake|rj lake]]<br>
    arranged by [[artist:clara-maddux|clara maddux]]<br>
    guitars, bass, and synths performed by [[artist:clara-maddux|clara maddux]]<br>
    mandolin performed by [[artist:vasily-nikolaev|vasily nikolaev]]<br>
    scratching, synths and additional guitar performed by [[artist:rj-lake|rj lake]]<br>
    mixed and mastered by [[artist:clara-maddux|clara maddux]] & [[artist:vasily-nikolaev|vasily nikolaev]]

    cover artwork by [[artist:nightmargin|Nightmargin]]
Referencing Sources: |-
    @@ [Bandcamp credits](https://dcellgames.bandcamp.com/track/its-time-to-crime)

    based off of "[[track:its-time-to-fight-crime|IT'S TIME TO FIGHT CRIME]]" and "[[track:thanks-for-everything|Thanks For Everything]]" by [[artist:nightmargin|Nightmargin]]
